
import 'package:cubetiqs_pos_system/Page1/MyBurgerPage.dart';
import 'package:cubetiqs_pos_system/Page1/MyPizza.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';


class MyBody extends StatefulWidget {
  @override
  _MyBodyState createState() => _MyBodyState();
}

class _MyBodyState extends State<MyBody> {
  @override
  Widget build(BuildContext context) {
    return Container(
     color: Color.fromRGBO(255,255,255, 1),
      child: ListView(
        physics: BouncingScrollPhysics(),
        children: [
          MyMenu,
          MyItem1,
          MyItem2,
          MyItem3,
          MyItem4,
          MyItem5,
          MyItem6,
          MyItem7,
          MyItem8,
          MyItem9,
        ],
      ),
    );

  }
  get MyMenu {
    return Container(
      child: Row(
        children: [

          buildMenu1,
          buildMenu2,
          buildMenu3,

        ],
      ),

    );
  }
  get buildMenu1 {
   return Container(
     margin: EdgeInsets.only(left:35 ,top: 10),
     child: RaisedButton(
          shape: RoundedRectangleBorder(borderRadius: BorderRadius.circular(20)),
          color: Color.fromRGBO(180, 64, 16, 1),

          child: Text("All items",style: TextStyle(
            color: Colors.white,
          ),
          )
          ,
          onPressed: (){
          }),
   );
  }
  get buildMenu2 {
    return Container(
      margin: EdgeInsets.only(left:35 ,top: 10),
      child: RaisedButton(
          shape: RoundedRectangleBorder(borderRadius: BorderRadius.circular(20)),
          color: Color.fromRGBO(224, 255, 255, 1),
          child: Text("Burger",style: TextStyle(
            color: Colors.black,

          ),
          )

          ,
          onPressed: (){
          Navigator.push(context,MaterialPageRoute(builder: (context){
          return MyBurger();
          }));
          }),
    );
  }
  get buildMenu3 {
    return Container(
      margin: EdgeInsets.only(left:35 ,top: 10),
      child: RaisedButton(
          shape: RoundedRectangleBorder(borderRadius: BorderRadius.circular(20)),
          color: Color.fromRGBO(224, 255, 255, 1),
          child: Text("Pizza",style: TextStyle(
            color: Colors.black,
          ),
          )
          ,
          onPressed: (){
            setState(() {
          Navigator.push(context, MaterialPageRoute(builder: (context){
            return MyPizza();
          }));
            });
          }),
    );
  }
  get MyItem1 {
    return Container(
      child: SingleChildScrollView(
        child: Stack
          (
          children: [

                 buildItem1,
          ],
        ),
      ),
    );
  }
  get buildItem1 {
    String img1="https://hips.hearstapps.com/hmg-prod.s3.amazonaws.com/images/shot-2-0129-1522854796.png";
    return Container(
      margin: EdgeInsets.all(20),
      width: 500,
     height: 240,
     decoration: BoxDecoration(
       borderRadius: BorderRadius.circular(20),
       color: Color.fromRGBO(244, 147, 242,0.3),
     ),

      child: Column(
        children: [
          Container(
            margin: EdgeInsets.only(right: 220 , top: 30),
            child: Text("Grilled Corn",
                style: TextStyle(
                    color: Colors.purple,
                    fontWeight: FontWeight.bold,
                    fontSize: 20
                )
            ),
          ),

           Container(
             margin: EdgeInsets.only(right: 290 , top: 10),
             child: Text("150g",
               style:TextStyle(
                 color: Colors.black.withOpacity(0.5),
               ) ,),
           ),
          Row(
            children: [
             Container(
                margin: EdgeInsets.only(left: 40),
                child: Text(r"$1.75" ,
                  style:TextStyle(
                      color: Color.fromRGBO(255,131,0,1),
                      fontSize: 25,
                      fontWeight: FontWeight.bold
                  ) ,),
              ),
              Container(
                width: 100,height: 100,
                margin: EdgeInsets.only(left: 140,bottom: 60),
                decoration: BoxDecoration(
                    borderRadius: BorderRadius.circular(10),
                    image: DecorationImage(
                        image: NetworkImage(img1),
                        fit: BoxFit.cover
                    )
                ),
              ) ,
            ],
          ),
        ],
      ),
    );
  }
  get MyItem2 {
    return Container(

      child: SingleChildScrollView(
        child: Stack
          (
          children: [

            buildItem2,
          ],
        ),
      ),
    );
  }
  get buildItem2 {
    String img2="https://www.modernhoney.com/wp-content/uploads/2018/08/Fettuccine-Alfredo-Recipe-1.jpg";
    return Container(
      margin: EdgeInsets.all(20),
      width: 500,
      height: 240,
      decoration: BoxDecoration(
        borderRadius: BorderRadius.circular(20),
        color: Color.fromRGBO(244, 147, 242,0.3),
      ),

      child: Column(
        children: [
          Container(
            margin: EdgeInsets.only(right: 175 , top: 30),
            child: Text("Fettuccine pasta",
                style: TextStyle(
                    color: Colors.purple,
                    fontWeight: FontWeight.bold,
                    fontSize: 20
                )
            ),
          ),

          Container(
            margin: EdgeInsets.only(right: 290 , top: 10),
            child: Text("150g",
              style:TextStyle(
                color: Colors.black.withOpacity(0.5),
              ) ,),
          ),
          Row(
            children: [
              Container(
                margin: EdgeInsets.only(left: 40),
                child: Text(r"$7.75" ,
                  style:TextStyle(
                      color: Color.fromRGBO(255,131,0,1),
                      fontSize: 25,
                      fontWeight: FontWeight.bold
                  ) ,),
              ),
              Container(
                width: 100,height: 100,
                margin: EdgeInsets.only(left: 140,bottom: 60),
                decoration: BoxDecoration(
                    borderRadius: BorderRadius.circular(10),
                    image: DecorationImage(
                        image: NetworkImage(img2),
                        fit: BoxFit.cover
                    )
                ),
              ) ,
            ],
          ),
        ],
      ),
    );
  }
  get MyItem3 {
    return Container(

      child: SingleChildScrollView(
        child: Stack
          (
          children: [

            buildItem3,
          ],
        ),
      ),
    );
  }
  get buildItem3 {
    String img3="https://s3.eu-central-1.amazonaws.com/qatar-delicious/ItemsImages/ItemImage_14331_(0).jpg";
    return Container(
      margin: EdgeInsets.all(20),
      width: 500,
      height: 240,
      decoration: BoxDecoration(
        borderRadius: BorderRadius.circular(20),
        color: Color.fromRGBO(244, 147, 242,0.3),
      ),

      child: Column(
        children: [
          Container(
            margin: EdgeInsets.only(right: 180 , top: 30),
            child: Text("Original Burgers",
                style: TextStyle(
                    color: Colors.purple,
                    fontWeight: FontWeight.bold,
                    fontSize: 20
                )
            ),
          ),

          Container(
            margin: EdgeInsets.only(right: 290 , top: 10),
            child: Text("150g",
              style:TextStyle(
                color: Colors.black.withOpacity(0.5),
              ) ,),
          ),
          Row(
            children: [
              Container(
                margin: EdgeInsets.only(left: 40),
                child: Text(r"$7.00" ,
                  style:TextStyle(
                      color: Color.fromRGBO(255,131,0,1),
                      fontSize: 25,
                      fontWeight: FontWeight.bold
                  ) ,),
              ),
              Container(
                width: 100,height: 100,
                margin: EdgeInsets.only(left: 140,bottom: 60),
                decoration: BoxDecoration(
                    borderRadius: BorderRadius.circular(10),
                    image: DecorationImage(
                        image: NetworkImage(img3),
                        fit: BoxFit.cover
                    )
                ),
              ) ,
            ],
          ),
        ],
      ),
    );
  }
// Burger
  get MyItem4 {
    return Container(
      child: SingleChildScrollView(
        child: Stack
          (
          children: [

            buildItem1,
          ],
        ),
      ),
    );
  }
  get buildItem4 {
    String img1="https://www.litehousefoods.com/sites/default/files/styles/recipe_image/public/ranchburger_176389079-min.jpg?itok=oBlUqnCZ";
    return Container(
      margin: EdgeInsets.all(20),
      width: 500,
      height: 240,
      decoration: BoxDecoration(
        borderRadius: BorderRadius.circular(20),
        color: Color.fromRGBO(244, 147, 242,0.3),
      ),

      child: Column(
        children: [
          Container(
            margin: EdgeInsets.only(right: 190 , top: 30),
            child: Text("Ranch Burgers",
                style: TextStyle(
                    color: Colors.purple,
                    fontWeight: FontWeight.bold,
                    fontSize: 20
                )
            ),
          ),

          Container(
            margin: EdgeInsets.only(right: 290 , top: 10),
            child: Text("150g",
              style:TextStyle(
                color: Colors.black.withOpacity(0.5),
              ) ,),
          ),
          Row(
            children: [
              Container(
                margin: EdgeInsets.only(left: 40),
                child: Text(r"$7.75" ,
                  style:TextStyle(
                      color: Color.fromRGBO(255,131,0,1),
                      fontSize: 25,
                      fontWeight: FontWeight.bold
                  ) ,),
              ),
              Container(
                width: 100,height: 100,
                margin: EdgeInsets.only(left: 140,bottom: 60),
                decoration: BoxDecoration(
                    borderRadius: BorderRadius.circular(10),
                    image: DecorationImage(
                        image: NetworkImage(img1),
                        fit: BoxFit.cover
                    )
                ),
              ) ,
            ],
          ),
        ],
      ),
    );
  }
  get MyItem5 {
    return Container(

      child: SingleChildScrollView(
        child: Stack
          (
          children: [

            buildItem2,
          ],
        ),
      ),
    );
  }
  get buildItem5 {
    String img2="https://iamhomesteader.com/wp-content/uploads/2020/08/flank-steak-new-1.jpg";
    return Container(
      margin: EdgeInsets.all(20),
      width: 500,
      height: 240,
      decoration: BoxDecoration(
        borderRadius: BorderRadius.circular(20),
        color: Color.fromRGBO(244, 147, 242,0.3),
      ),

      child: Column(
        children: [
          Container(
            margin: EdgeInsets.only(right: 155 , top: 30),
            child: Text("Stufed Flank Steak",
                style: TextStyle(
                    color: Colors.purple,
                    fontWeight: FontWeight.bold,
                    fontSize: 20
                )
            ),
          ),

          Container(
            margin: EdgeInsets.only(right: 290 , top: 10),
            child: Text("150g",
              style:TextStyle(
                color: Colors.black.withOpacity(0.5),
              ) ,),
          ),
          Row(
            children: [
              Container(
                margin: EdgeInsets.only(left: 30),
                child: Text(r"$13.50" ,
                  style:TextStyle(
                      color: Color.fromRGBO(255,131,0,1),
                      fontSize: 25,
                      fontWeight: FontWeight.bold
                  ) ,),
              ),
              Container(
                width: 100,height: 100,
                margin: EdgeInsets.only(left: 140,bottom: 60),
                decoration: BoxDecoration(
                    borderRadius: BorderRadius.circular(10),
                    image: DecorationImage(
                        image: NetworkImage(img2),
                        fit: BoxFit.cover
                    )
                ),
              ) ,
            ],
          ),
        ],
      ),
    );
  }
  get MyItem6 {
    return Container(

      child: SingleChildScrollView(
        child: Stack
          (
          children: [

            buildItem3,
          ],
        ),
      ),
    );
  }
  get buildItem6 {
    String img3="https://www.recipetineats.com/wp-content/uploads/2017/06/Pancakes-SQ.jpg";
    return Container(
      margin: EdgeInsets.all(20),
      width: 500,
      height: 240,
      decoration: BoxDecoration(
        borderRadius: BorderRadius.circular(20),
        color: Color.fromRGBO(244, 147, 242,0.3),
      ),

      child: Column(
        children: [
          Container(
            margin: EdgeInsets.only(right: 240 , top: 30),
            child: Text("Pancakes",
                style: TextStyle(
                    color: Colors.purple,
                    fontWeight: FontWeight.bold,
                    fontSize: 20
                )
            ),
          ),

          Container(
            margin: EdgeInsets.only(right: 290 , top: 10),
            child: Text("150g",
              style:TextStyle(
                color: Colors.black.withOpacity(0.5),
              ) ,),
          ),
          Row(
            children: [
              Container(
                margin: EdgeInsets.only(left: 40),
                child: Text(r"$1.75" ,
                  style:TextStyle(
                      color: Color.fromRGBO(255,131,0,1),
                      fontSize: 25,
                      fontWeight: FontWeight.bold
                  ) ,),
              ),
              Container(
                width: 100,height: 100,
                margin: EdgeInsets.only(left: 140,bottom: 60),
                decoration: BoxDecoration(
                    borderRadius: BorderRadius.circular(10),
                    image: DecorationImage(
                        image: NetworkImage(img3),
                        fit: BoxFit.cover
                    )
                ),
              ) ,
            ],
          ),
        ],
      ),
    );
  }
//pizza
  get MyItem7 {
    return Container(
      child: SingleChildScrollView(
        child: Stack
          (
          children: [

            buildItem1,
          ],
        ),
      ),
    );
  }
  get buildItem7 {
    String img1="https://dam.kraftheinzcompany.com/adaptivemedia/rendition/122046_3000x2000.jpg?id=12a910429e20fa8ff0ce0d1c2d6382bce0213672&ht=650&wd=1004&clid=KRCA";
    return Container(
      margin: EdgeInsets.all(20),
      width: 500,
      height: 240,
      decoration: BoxDecoration(
        borderRadius: BorderRadius.circular(20),
        color: Color.fromRGBO(244, 147, 242,0.3),
      ),

      child: Column(
        children: [
          Container(
            margin: EdgeInsets.only(right: 220 , top: 30),
            child: Text("Bacon pizza",
                style: TextStyle(
                    color: Colors.purple,
                    fontWeight: FontWeight.bold,
                    fontSize: 20
                )
            ),
          ),

          Container(
            margin: EdgeInsets.only(right: 290 , top: 10),
            child: Text("150g",
              style:TextStyle(
                color: Colors.black.withOpacity(0.5),
              ) ,),
          ),
          Row(
            children: [
              Container(
                margin: EdgeInsets.only(left: 40),
                child: Text(r"$7.00" ,
                  style:TextStyle(
                      color: Color.fromRGBO(255,131,0,1),
                      fontSize: 25,
                      fontWeight: FontWeight.bold
                  ) ,),
              ),
              Container(
                width: 100,height: 100,
                margin: EdgeInsets.only(left: 140,bottom: 60),
                decoration: BoxDecoration(
                    borderRadius: BorderRadius.circular(10),
                    image: DecorationImage(
                        image: NetworkImage(img1),
                        fit: BoxFit.cover
                    )
                ),
              ) ,
            ],
          ),
        ],
      ),
    );
  }
  get MyItem8 {
    return Container(

      child: SingleChildScrollView(
        child: Stack
          (
          children: [

            buildItem2,
          ],
        ),
      ),
    );
  }
  get buildItem8 {
    String img2="https://images-gmi-pmc.edge-generalmills.com/03846767-9eb1-4dcf-b881-e18cd427171c.jpg";
    return Container(
      margin: EdgeInsets.all(20),
      width: 500,
      height: 240,
      decoration: BoxDecoration(
        borderRadius: BorderRadius.circular(20),
        color: Color.fromRGBO(244, 147, 242,0.3),
      ),

      child: Column(
        children: [
          Container(
            margin: EdgeInsets.only(right: 250 , top: 30),
            child: Text("Tortillas",
                style: TextStyle(
                    color: Colors.purple,
                    fontWeight: FontWeight.bold,
                    fontSize: 20
                )
            ),
          ),

          Container(
            margin: EdgeInsets.only(right: 290 , top: 10),
            child: Text("150g",
              style:TextStyle(
                color: Colors.black.withOpacity(0.5),
              ) ,),
          ),
          Row(
            children: [
              Container(
                margin: EdgeInsets.only(left: 40),
                child: Text(r"$7.75" ,
                  style:TextStyle(
                      color: Color.fromRGBO(255,131,0,1),
                      fontSize: 25,
                      fontWeight: FontWeight.bold
                  ) ,),
              ),
              Container(
                width: 100,height: 100,
                margin: EdgeInsets.only(left: 140,bottom: 60),
                decoration: BoxDecoration(
                    borderRadius: BorderRadius.circular(10),
                    image: DecorationImage(
                        image: NetworkImage(img2),
                        fit: BoxFit.cover
                    )
                ),
              ) ,
            ],
          ),
        ],
      ),
    );
  }
  get MyItem9 {
    return Container(

      child: SingleChildScrollView(
        child: Stack
          (
          children: [

            buildItem3,
          ],
        ),
      ),
    );
  }
  get buildItem9 {
    String img3="https://www.moulinex-me.com/medias/?context=bWFzdGVyfHJvb3R8MTQzNTExfGltYWdlL2pwZWd8aDM2L2g1Mi8xMzA5NzI3MzI2MjExMC5qcGd8N2MxZDhmNmI5ZTgzZDZlZWQyZGQ4YjFlZjUyNDlkMTExYjdkZDdlZmFkY2I0N2NmNjljOGViNmExZjIyMDU4Yw";
    return Container(
      margin: EdgeInsets.all(20),
      width: 500,
      height: 240,
      decoration: BoxDecoration(
        borderRadius: BorderRadius.circular(20),
        color: Color.fromRGBO(244, 147, 242,0.3),
      ),

      child: Column(
        children: [
          Container(
            margin: EdgeInsets.only(right: 180 , top: 30),
            child: Text("Pepperoni pizza",
                style: TextStyle(
                    color: Colors.purple,
                    fontWeight: FontWeight.bold,
                    fontSize: 20
                )
            ),
          ),

          Container(
            margin: EdgeInsets.only(right: 290 , top: 10),
            child: Text("150g",
              style:TextStyle(
                color: Colors.black.withOpacity(0.5),
              ) ,),
          ),
          Row(
            children: [
              Container(
                margin: EdgeInsets.only(left: 40),
                child: Text(r"$1.75" ,
                  style:TextStyle(
                      color: Color.fromRGBO(255,131,0,1),
                      fontSize: 25,
                      fontWeight: FontWeight.bold
                  ) ,),
              ),
              Container(
                width: 100,height: 100,
                margin: EdgeInsets.only(left: 140,bottom: 60),
                decoration: BoxDecoration(
                    borderRadius: BorderRadius.circular(10),
                    image: DecorationImage(
                        image: NetworkImage(img3),
                        fit: BoxFit.cover
                    )
                ),
              ) ,
            ],
          ),
        ],
      ),
    );
  }
}
